# Mobile Safari + Android
- target: 'Mozilla/5.0 (Linux; U; Android 2.3.5; ja-jp; ISW11F Build/FGK500) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile Safari/533.1'
  name: Safari
  version: '4.0'
  os: Android
  os_version: '2.3.5'
  category: smartphone

# Safari + Android
- target: 'Mozilla/5.0 (Linux; U; Android 3.1; ja-jp; L-06C Build/HMJ37) AppleWebKit/534.13 (KHTML, like Gecko) Version/4.0 Safari/534.13'
  name: Safari
  version: '4.0'
  os: Android
  os_version: '3.1'
  category: smartphone

# Chrome Mobile
- target: 'Mozilla/5.0 (Linux; U; Android-4.0.3; en-us; Galaxy Nexus Build/IML74K) AppleWebKit/535.7 (KHTML, like Gecko) CrMo/16.0.912.75 Mobile Safari/535.7'
  name: Chrome
  version: '16.0.912.75'
  os: Android
  os_version: '4.0.3'
  category: smartphone

# Opera Mini + Android
- target: 'Opera/9.80 (Android; Opera Mini/6.5.27452/26.1305; U; ja) Presto/2.8.119 Version/10.54'
  name: Opera
  version: '10.54'
  os: Android
  category: smartphone

# Opera (webkit) + Android
- target: 'Mozilla/5.0 (Linux; Android 4.2.2; SO-01F Build/14.1.H.1.281) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/33.0.1750.166 Mobile Safari/537.36 OPR/20.0.1396.73172'
  name: Opera
  version: '20.0.1396.73172'
  os: Android
  os_version: '4.2.2'
  category: smartphone

# Firefox + Android
- target: 'Mozilla/5.0 (Android; Mobile; rv:14.0) Gecko/14.0 Firefox/14.0'
  name: Firefox
  version: '14.0'
  os: Android
  category: smartphone

# Firefox + Android(Tablet)
- target: 'Mozilla/5.0 (Android; Tablet; rv:14.0) Gecko/14.0 Firefox/14.0'
  name: Firefox
  version: '14.0'
  os: Android
  category: smartphone

# Edge + Android
- target: 'Mozilla/5.0 (Linux; Android 8.0; Pixel XL Build/OPP3.170518.006) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.0 Mobile Safari/537.36 EdgA/41.1.35.1'
  name: Edge
  version: '41.1.35.1'
  os: Android
  os_version: '8.0'
  category: smartphone

# UNKNOWN: Dalvik(jvm) agent
- target: 'Dalvik/1.4.0 (Linux; U; Android 2.3.4; SBM009SH Build/S0008)'
  name: UNKNOWN
  os: Android
  os_version: '2.3.4'
  category: smartphone

# UNKNOWN: application original
- target: 'LDNReader/2.0.1 (Android)'
  name: UNKNOWN
  os: Android
  category: smartphone

# Webview + Android(Lollipop and Above)
- target: 'Mozilla/5.0 (Linux; Android 5.1.1; Nexus 5 Build/LMY48B; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/43.0.2357.65 Mobile Safari/537.36'
  name: 'Webview'
  version: '4.0'
  os: Android
  os_version: '5.1.1'
  category: smartphone

# Chrome + Android 9
- target: 'Mozilla/5.0 (Linux; Android 9; SM-N960F) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.105 Mobile Safari/537.36'
  name: 'Chrome'
  version: '72.0.3626.105'
  os: Android
  os_version: '9'
  category: smartphone
